# This file created by conda-build 3.19.2
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Mon May 11 22:46:05 2020
# ------------------------------------------------

package:
    name: r-envipat
    version: '2.4'
source:
    sha256: a0857fdf1a2f206b66bb097a4188d95164edd7c0b9765016219440ceab3c6bbf
    url:
        - https://cran.r-project.org/src/contrib/Archive/enviPat/enviPat_2.4.tar.gz
        - https://cran.r-project.org/src/contrib/enviPat_2.4.tar.gz
build:
    merge_build_host: true
    number: '0'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r36hda5aaf8_0
requirements:
    build:
        - m2-bash 4.3.042 5
        - m2-coreutils 8.25 102
        - m2-filesystem 2016.04 4
        - m2-gcc-libs 5.3.0 4
        - m2-gmp 6.1.0 3
        - m2-libbz2 1.0.6 3
        - m2-libiconv 1.14 3
        - m2-libintl 0.19.7 4
        - m2-make 4.1 5
        - m2-msys2-runtime 2.5.0.17080.65c939c 3
        - m2-sed 4.2.2 3
        - m2-zip 3.0 2
        - m2w64-binutils 2.25.1 5
        - m2w64-bzip2 1.0.6 6
        - m2w64-crt-git 5.0.0.4636.2595836 2
        - m2w64-gcc 5.3.0 6
        - m2w64-gcc-ada 5.3.0 6
        - m2w64-gcc-fortran 5.3.0 6
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gcc-objc 5.3.0 6
        - m2w64-gmp 6.1.0 2
        - m2w64-headers-git 5.0.0.4636.c0ad18a 2
        - m2w64-isl 0.16.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-make 4.1.2351.a80a8b8 2
        - m2w64-mpc 1.0.3 3
        - m2w64-mpfr 3.1.4 4
        - m2w64-pkg-config 0.29.1 2
        - m2w64-toolchain 5.3.0 7
        - m2w64-toolchain_win-64 2.4.0 0
        - m2w64-tools-git 5.0.0.4592.90b8472 2
        - m2w64-windows-default-manifest 6.4 3
        - m2w64-winpthreads-git 5.0.0.4634.697f757 2
        - m2w64-zlib 1.2.8 10
        - msys2-conda-epoch 20160418 1
    host:
        - _r-mutex 1.0.1 anacondar_1
        - intel-openmp 2020.1 216
        - libblas 3.8.0 15_mkl
        - liblapack 3.8.0 15_mkl
        - m2w64-bwidget 1.9.10 2
        - m2w64-bzip2 1.0.6 6
        - m2w64-expat 2.1.1 2
        - m2w64-fftw 3.3.4 6
        - m2w64-flac 1.3.1 3
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gettext 0.19.7 2
        - m2w64-gmp 6.1.0 2
        - m2w64-gsl 2.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libjpeg-turbo 1.4.2 3
        - m2w64-libogg 1.3.2 3
        - m2w64-libpng 1.6.21 2
        - m2w64-libsndfile 1.0.26 2
        - m2w64-libtiff 4.0.6 2
        - m2w64-libvorbis 1.3.5 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-libxml2 2.9.3 4
        - m2w64-mpfr 3.1.4 4
        - m2w64-pcre 8.38 2
        - m2w64-speex 1.2rc2 3
        - m2w64-speexdsp 1.2rc3 3
        - m2w64-tcl 8.6.5 3
        - m2w64-tk 8.6.5 3
        - m2w64-tktable 2.10 5
        - m2w64-wineditline 2.101 5
        - m2w64-xz 5.2.2 2
        - m2w64-zlib 1.2.8 10
        - mkl 2020.0 166
        - msys2-conda-epoch 20160418 1
        - r-base 3.6.3 hf0ea6f9_2
    run:
        - m2w64-gcc-libs
        - r-base >=3.6,<3.7.0a0
test:
    commands:
        - '"%R%" -e "library(''enviPat'')"'
about:
    home: http://www.envipat.eawag.ch/, http://pubs.acs.org/doi/abs/10.1021/acs.analchem.5b00941
    license: GPL-2.0-only
    license_family: GPL2
    license_file:
        - D:\bld\r-envipat_1589237325953\_h_env/lib/R/share/licenses/GPL-2
    summary: Fast and very memory-efficient calculation of isotope patterns, subsequent
        convolution to theoretical envelopes (profiles) plus valley detection and
        centroidization or intensoid calculation. Batch processing, resolution interpolation,
        wrapper, adduct calculations and molecular formula parsing. Loos, M., Gerber,
        C., Corona, F., Hollender, J., Singer, H. (2015) <doi:10.1021/acs.analchem.5b00941>.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - conda-forge/r
